//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ADG_Assistance.DB
{
    using System;
    using System.Collections.Generic;
    
    public partial class Appel
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Appel()
        {
            this.T_AppelMembres = new HashSet<T_AppelMembres>();
        }
    
        public int idAppel { get; set; }
        public string NomClient { get; set; }
        public string Tel { get; set; }
        public string Commentaire { get; set; }
        public string Projet { get; set; }
        public string Priorite { get; set; }
        public Nullable<bool> Traitement { get; set; }
        public Nullable<System.DateTime> DateCreation { get; set; }
        public Nullable<System.DateTime> DateTraitement { get; set; }
        public Nullable<int> idPersonnel { get; set; }
        public string detailsTraite { get; set; }
        public string NomContact { get; set; }
        public Nullable<int> IdCouleur { get; set; }
        public Nullable<int> idMembres { get; set; }
    
        public virtual ColorAppel ColorAppel { get; set; }
        public virtual Membres Membres { get; set; }
        public virtual Personnel Personnel { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<T_AppelMembres> T_AppelMembres { get; set; }
    }
}
